
import { Field, ObjectType } from '@nestjs/graphql';
import { DiscussionTableType } from './discussion-table.type';


@ObjectType("DiscussionTableReturnType")
export class DiscussionTableReturnType {

  @Field(() => DiscussionTableType, {nullable: true})
  data?: DiscussionTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;

  
}
