
import { Field, ObjectType } from '@nestjs/graphql';


@ObjectType("UserObjectType")
export class UserObjectType {

 

  @Field(() => Number)
  _id: number;

  @Field(() => String, {nullable: true})
  name: string;

}

@ObjectType("DiscussionTableType")
export class DiscussionTableType {

 

  @Field(() => Number)
  _id: number;

  @Field(() => String, {nullable: true})
  text: string;

  @Field(() => Date, {nullable: true})
  createdAt: Date;

  @Field(() => UserObjectType, {nullable: true})
  user: UserObjectType;
}
