import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';
import { CourseTableType } from 'src/course-table/types/course-table.type';
import { UserCollectionType } from 'src/user-collection/type/user-collection.type';
import { DiscussionMasterTableType } from './discussion-mater-table.type';

@ObjectType("DiscussionMasterTableReturnType")
export class DiscussionMasterTableReturnType {
    @Field(() => DiscussionMasterTableType, {nullable: true})
    data?: DiscussionMasterTableType;
  
    @Field(() => Boolean)
    status: boolean;
  
    @Field(() => String, {nullable: true})
    status_text: string;
}
